using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Hosting;

namespace OnlineAssessment.Gateway
{
    public class Program
    {
        public static void Main(string[] args)
        {

            CreateHostBuilder(args).Build().Run();
        }

        public static IHostBuilder CreateHostBuilder(string[] args) =>
                Host.CreateDefaultBuilder(args)
                    .ConfigureWebHostDefaults(webBuilder =>
                    {
                        webBuilder.UseStartup<Startup>();
                    })
                    .ConfigureAppConfiguration((hostingContext, config) =>
                    {
                        config
                        .SetBasePath(hostingContext.HostingEnvironment.ContentRootPath)
                        .AddJsonFile(string.Format("appsettings{0}.json", (hostingContext.HostingEnvironment.EnvironmentName.Equals("Development") ? ".development" : "")), optional: false, reloadOnChange: true)
                        .AddJsonFile(string.Format("ocelot{0}.json", (hostingContext.HostingEnvironment.EnvironmentName.Equals("Development") ? ".development" : "")), optional: false, reloadOnChange: true);
                    });
    }
}
